package edu.kit.ipd.descartes.adaptation.util;

import static org.junit.Assert.*;

import org.eclipse.emf.common.util.URI;
import org.junit.Before;
import org.junit.Test;

import edu.kit.ipd.descartes.adaptation.model.PerformanceDataRepositoryHandler;
import edu.kit.ipd.descartes.perfdatarepo.Impact;
import edu.kit.ipd.descartes.perfdatarepo.PerformanceDataRepository;

public class PerfDataRepoHelperTest {
	
	private static final String PERF_DATA_REPO_XMI_FILE = "./test_models/PerformanceDataRepositoryDummy.xmi";
	PerformanceDataRepository perfDataRepo;
	
	@Before
	public void setUp() throws Exception {
		
		PerformanceDataRepositoryHandler repoHander = PerformanceDataRepositoryHandler.getInstance();
		perfDataRepo = (PerformanceDataRepository) repoHander.load(URI
				.createFileURI(PERF_DATA_REPO_XMI_FILE));
	}

	@Test
	public void testGetLatestImpact() {
		int historySize = perfDataRepo.getImpactHistory().size();
		Impact mostRecent = perfDataRepo.getImpactHistory().get(historySize - 1);
		assertEquals(mostRecent, PerfDataRepoHelper.getLatestImpact(perfDataRepo));
	}

}
